Skip to content

deployment_build_logs

Snapshot build logs for a deployment (Cloud Logging proxy)

Tool

deployment_build_logs

Snapshot build logs for a deployment (Cloud Logging proxy)

Snapshot build logs for a deployment (Cloud Logging proxy)

Behavior

HTTP
GET /deployment/services/:serviceId/deployments/:deploymentId/build-logs

Arguments

Name
Type
Required
Description
tail
integer
—
No description in the catalog.
since
string
—
No description in the catalog.
serviceId
string
•
No description in the catalog.
deploymentId
string
•
No description in the catalog.

Response

Field
Type
Always
Description
lines
array
•
cursor
string
•
complete
boolean
•

Try it

Snapshot build logs for a deployment (Cloud Logging proxy).

When to use

Snapshot build logs for a deployment (Cloud Logging proxy)

Example

Ask your agent something like this:

Snapshot build logs for a deployment (Cloud Logging proxy).

The agent will invoke deployment_build_logs with these arguments:

{
  "serviceId": "<serviceId>",
  "deploymentId": "<deploymentId>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select